summaryrefslogtreecommitdiff
path: root/media-libs/libgpod
diff options
context:
space:
mode:
Diffstat (limited to 'media-libs/libgpod')
-rw-r--r--media-libs/libgpod/libgpod-9999.ebuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/media-libs/libgpod/libgpod-9999.ebuild b/media-libs/libgpod/libgpod-9999.ebuild
new file mode 100644
index 0000000..5bb194b
--- /dev/null
+++ b/media-libs/libgpod/libgpod-9999.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/libgpod/libgpod-0.6.0.ebuild,v 1.11 2008/11/01 16:47:41 tester Exp $
+
+inherit eutils subversion autotools
+
+DESCRIPTION="Shared library to access the contents of an iPod"
+HOMEPAGE="http://www.gtkpod.org/libgpod.html"
+SRC_URI=""
+
+ESVN_REPO_URI="https://gtkpod.svn.sourceforge.net/svnroot/gtkpod/libgpod/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="amd64 ~ia64 ppc ppc64 ~sparc x86"
+IUSE="gtk python doc test hal"
+
+RDEPEND=">=dev-libs/glib-2.4
+ hal? ( =sys-apps/hal-0.5* )
+ sys-apps/sg3_utils
+ dev-util/gtk-doc
+ gtk? ( >=x11-libs/gtk+-2 )
+ python? ( >=dev-lang/python-2.3
+ >=x11-libs/gtk+-2
+ media-libs/mutagen
+ gtk? ( >=dev-python/pygobject-2 ) )
+ test? ( media-libs/taglib )"
+DEPEND="${RDEPEND}
+ doc? ( dev-util/gtk-doc )
+ python? ( >=dev-lang/swig-1.3.24 )
+ dev-util/pkgconfig"
+
+src_unpack() {
+ subversion_src_unpack
+ cd "${S}"
+# eautoreconf
+
+# epatch "${FILESDIR}/${P}+gcc-4.3.patch"
+
+# elibtoolize
+}
+
+src_compile() {
+
+ local myconf
+
+ if use gtk; then
+ myconf="--enable-pygobject"
+ else
+ myconf="--disable-pygobject"
+ fi
+
+ econf ${myconf} \
+ $(use_enable doc gtk-doc) \
+ $(use_enable gtk gdk-pixbuf) \
+ $(use_with hal hal) \
+ $(use_with python) || die "configure failed"
+
+ emake || die "make failed"
+
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die "install failed"
+ dodoc README TROUBLESHOOTING AUTHORS NEWS README.SysInfo
+}
+
+pkg_postinst() {
+ einfo "If you use a newer Ipod like the Ipod classic, make sure to read"
+ einfo "the information in README.SysInfo in /usr/share/doc/${P}"
+ einfo "This is no needed if HAL is installed and works correctly."
+}